in scala.runtime
object ScalaRunTime

`object` ScalaRunTime
  `extends` java.lang.Object
  `with` scala.ScalaObject

Class Summary
`abstract` | `class` Try [a]

Constructor Summary
| `def` this

Val Summary
| `val` BooleanTYPE : java.lang.Class
| `val` BooleanTag : java.lang.String
| `val` ByteTYPE : java.lang.Class
| `val` ByteTag : java.lang.String Names for primitive types, used by array unboxing
| `val` CharTYPE : java.lang.Class
| `val` CharTag : java.lang.String
| `val` DoubleTYPE : java.lang.Class
| `val` DoubleTag : java.lang.String
| `val` FloatTYPE : java.lang.Class
| `val` FloatTag : java.lang.String
| `val` IntTYPE : java.lang.Class
| `val` IntTag : java.lang.String
| `val` LongTYPE : java.lang.Class
| `val` LongTag : java.lang.String
| `val` ShortTYPE : java.lang.Class
| `val` ShortTag : java.lang.String
| `val` UnitTYPE : java.lang.Class

Def Summary
| `def` Seq [a] (xs: a*) : scala.Seq[a]
| `def` Try [a] (block: => a) : scala.runtime.ScalaRunTime.Try[a]
| `def` _equals (x: scala.Product, y: scala.Any) : scala.Boolean
| `def` _equalsWithVarArgs (x: scala.Product, y: scala.Any) : scala.Boolean
| `def` _hashCode (x: scala.Product) : scala.Int
| `def` _toString (x: scala.Product) : java.lang.String
| `def` arrayValue (x: scala.runtime.BoxedArray, elemClass: java.lang.Class) : java.lang.Object
| `def` arrayValue (x: scala.runtime.BoxedArray, elemTag: java.lang.String) : java.lang.Object
| `def` boxArray (value: java.lang.Object) : scala.runtime.BoxedArray
| `def` caseFields (x: scala.Product) : scala.List[scala.Any]
| `def` isArray (x: java.lang.Object) : scala.Boolean
| `def` isValueClass (clazz: java.lang.Class) : scala.Boolean
| `def` isValueTag (tag: java.lang.String) : scala.Boolean

Constructor Detail

`def` this

Val Detail

`val` BooleanTYPE : java.lang.Class

`val` BooleanTag : java.lang.String

`val` ByteTYPE : java.lang.Class

`val` ByteTag : java.lang.String

  Names for primitive types, used by array unboxing

`val` CharTYPE : java.lang.Class

`val` CharTag : java.lang.String

`val` DoubleTYPE : java.lang.Class

`val` DoubleTag : java.lang.String

`val` FloatTYPE : java.lang.Class

`val` FloatTag : java.lang.String

`val` IntTYPE : java.lang.Class

`val` IntTag : java.lang.String

`val` LongTYPE : java.lang.Class

`val` LongTag : java.lang.String

`val` ShortTYPE : java.lang.Class

`val` ShortTag : java.lang.String

`val` UnitTYPE : java.lang.Class

Def Detail

`def` Seq [a](xs: a*): scala.Seq[a]

`def` Try [a](block: => a): scala.runtime.ScalaRunTime.Try[a]

`def` _equals (x: scala.Product, y: scala.Any): scala.Boolean

`def` _equalsWithVarArgs (x: scala.Product, y: scala.Any): scala.Boolean

`def` _hashCode (x: scala.Product): scala.Int

`def` _toString (x: scala.Product): java.lang.String

`def` arrayValue (x: scala.runtime.BoxedArray, elemClass: java.lang.Class): java.lang.Object

`def` arrayValue (x: scala.runtime.BoxedArray, elemTag: java.lang.String): java.lang.Object

`def` boxArray (value: java.lang.Object): scala.runtime.BoxedArray

`def` caseFields (x: scala.Product): scala.List[scala.Any]

`def` isArray (x: java.lang.Object): scala.Boolean

`def` isValueClass (clazz: java.lang.Class): scala.Boolean

`def` isValueTag (tag: java.lang.String): scala.Boolean